#!/bin/bash

#change pindir to pinlabeler's location on your machine
pindir="$HOME/opt/pinlabeler-0.2"

#determine the xse executable
XSE="$pindir/xse-2.1/xse"
test -x "$XSE" || XSE="${XSE}.exe" #for cygwin
test -x "$XSE" || XSE="xse" #for pre-existing xse
if ! (type "$XSE" >/dev/null 2>&1); then 
    echo "Error: can't find xse executable" >&2
    exit 1
fi
export XSE

#determine the gv executable
gvexec="$pindir/gvpin-0.2/src/gv" 
test -x "$gvexec" || gvexec="${gvexec}.exe" #for cygwin
if ! test -x "$gvexec"; then
    echo "Error: can't find gvpin executable" >&2
    exit 1
fi

echo "Click on the output window."
echo "(e.g. gvim or gnome-terminal.  An xterm window may fail.)"
export OUTPUT_WINDOW=`xwininfo | awk 'NR==6 {print $4}'`
echo "Window $OUTPUT_WINDOW selected.  Starting gvpin."

exec "$gvexec" --ad="$pindir/gvpin.ad" "$@" | "$pindir/keystowindow.sh"
